#!/bin/bash
STACK_NAME=$1
AWS_ENDPOINT_URL=$2
STARTUP_COMMAND=$3
echo "********* Waiting for cloudformation stack ${STACK_NAME} to be created *********"
sleep 120
aws cloudformation wait stack-exists --stack-name "${STACK_NAME}" --endpoint-url "${AWS_ENDPOINT_URL}" --region us-east-1
if [ $? -eq 0 ]; then
  echo "********* Starting service with command ${STARTUP_COMMAND} *********"
  eval "${STARTUP_COMMAND}"
else
  exit 1
fi
